Domain certificate problem


Recommended Posts

Hi,

I have registered a domain with Duckdns, not sure if there is a better one. But the issue that is causing problem is creating certificate with Letsencrypt.

 

I have tried  numerous times with  

 

Security-》Certificate-》Add-》Add a new certificate-》Get a certificate from Lets Encrypt 

 

I have added the domain name and my email but I keep gettimg error:

 

No response from destination server. Please try again later.

 

I have ports 80, 443 forwarded and in External Access-》 Router configuration I get OKs when testing the connection.

 

So, any help would be appreciated. 

 

Many thanks

Best

Bob

Edited by bobby121418
Spelling
Link to post
Share on other sites

Hello
I'm facing the same issue. Everything working good until 4 or 5 days ago. I've tried several ways but still no luck. Message log say 'certificate.cpp:965 syno-letsencrypt failed. 100 [Server is not reachable.]'. Does any one has anything news for this case? Thanks

Edited by DawnRaven
Link to post
Share on other sites
20 minutes ago, jensmander said:

Depends on your DSM version. If your DSM is < 6.2 then you’ll have to modify your system as described in here:

 

 

 

Hello, thank you for answering. My DSM version is 6.2.3-25426 and it's already using API v02 and i can ping from my NAS to acme-v02.api.letsencrypt.org without any problems. It's very weird.

Edited by DawnRaven
Wrong url
Link to post
Share on other sites
On 10/2/2021 at 4:43 PM, bobby121418 said:

Hi,

I have registered a domain with Duckdns, not sure if there is a better one. But the issue that is causing problem is creating certificate with Letsencrypt.

 

I have tried  numerous times with  

 

Security-》Certificate-》Add-》Add a new certificate-》Get a certificate from Lets Encrypt 

 

I have added the domain name and my email but I keep gettimg error:

 

No response from destination server. Please try again later.

 

I have ports 80, 443 forwarded and in External Access-》 Router configuration I get OKs when testing the connection.

 

So, any help would be appreciated. 

 

Many thanks

Best

Bob

 

I had the same problem with version 6.2.3-25426. I installed update 3 and then it worked, it's worth a try.

Link to post
Share on other sites
1 hour ago, crristib said:

 

I had the same problem with version 6.2.3-25426. I installed update 3 and then it worked, it's worth a try.

Hello
I'm new to xpenology and know nothing much about it. I'm using JUN'S LOADER v1.04b - DS918+ on VMWare and trying to download update 2 from here https://download.synology.com/download/DSM/criticalupdate/update_pack/25426-2/ using "synology_apollolake_918+.pat" file but when i try to manual update, at 95% it say "Fail to update the file. The file is probably corrupt.". I've also tried with 25426-3 but it's the same. Please help me with that. Thank you.

Edited by DawnRaven
Link to post
Share on other sites
4 hours ago, jensmander said:

Depends on your DSM version. If your DSM is < 6.2 then you’ll have to modify your system as described in here:

 

 

Thank you, I have DSM 6.1.7-15284 so will give this a try.

Can I update to 6.2? I am using bootloader 1.02b. 

 

Thanks

 

Link to post
Share on other sites
On 10/3/2021 at 12:53 PM, DawnRaven said:

Hello
I'm new to xpenology and know nothing much about it. I'm using JUN'S LOADER v1.04b - DS918+ on VMWare and trying to download update 2 from here https://download.synology.com/download/DSM/criticalupdate/update_pack/25426-2/ using "synology_apollolake_918+.pat" file but when i try to manual update, at 95% it say "Fail to update the file. The file is probably corrupt.". I've also tried with 25426-3 but it's the same. Please help me with that. Thank you.

did you get this resolve? I have the same issues

Link to post
Share on other sites

DSM6.2.3 commes with OpenSSL 1.0.2u-fips, which has problems with the algorithms used by the new Letsencrypt certificates.

You will either have to wait until a u4.pat gets released that includes openssl libraries >=1.1.0. Chances are high that this will never happen.
 

DSM7 (does not work with Jun's bootloaders) commes with OpenSSL 1.1.1k and an update list of ca certificates. Both are required to make Letsencrypt certificates work again. It does not suffer from the problem.

 

I have no idea what OpenSSL version commes with DSM6.2.4 (does not work with Jun's bootloaders)

 

Many recent updates of SynoCommunity packages shouldn't be affected as well, as they provide their own and updated OpenSSL library under the hood.

Since the SynoCommunity repo can't be access due their webservers use a Letsencrypt certificate, you will need to download recent packages from here https://search.synopackage.com/sources/synocommunity, and install them manualy.

 

Edited by haydibe
Link to post
Share on other sites

Hi,

Thanks for you help billat29.

I updated my loader to 1.03b and installed DSM 6.2.3-25426 and I could work through 

Security-》Certificate-》Add-》Add a new certificate-》Get a certificate from Lets Encrypt 

to get the certificate and now its working nicely.

 

Cheers

Bob

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.